Subject: Re: CONFIG_PROVE_LOCKING broken on 83xx (and all of powerpc?)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 10 Sep 2010 08:13:53 +1000

On Thu, 2010-09-09 at 17:11 -0500, Scott Wood wrote:
> > I would have expected uboot to warn (the kernel ELF header contains
> the
> > BSS size) but apparently that isn't the case.
> 
> U-Boot doesn't use ELF files with Linux, so it has no idea where the
> BSS is.  uImage is just a wrapper around a flat binary.

Oh, right, I forgot about that... -1 for uboot there. Seriously, it's
time it grows the ability to load ELF or to at least stick an ELF in a
uImage... I've never understood the reasoning for that uImage wrapper
thingy. Definitely causes more problems than it solves in my experience.

Ben.